curl --request POST \
--url https://api.steuerboard.com/v1/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--header 'x-client-id: <x-client-id>' \
--form workspaceId=cmf41ajzv003706un4i99q19z \
--form file='@example-file' \
--form labelIds=cmf41ajzv003706un4i99q19z \
--form name=document.pdf \
--form folderId=cmf41ajzv003706un4i99q19z \
--form taskId=cmf41ajzv003706un4i99q19zimport requests
url = "https://api.steuerboard.com/v1/files"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"workspaceId": "cmf41ajzv003706un4i99q19z",
"labelIds": "cmf41ajzv003706un4i99q19z",
"name": "document.pdf",
"folderId": "cmf41ajzv003706un4i99q19z",
"taskId": "cmf41ajzv003706un4i99q19z"
}
headers = {
"x-client-id": "<x-client-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('workspaceId', 'cmf41ajzv003706un4i99q19z');
form.append('file', '<string>');
form.append('labelIds', 'cmf41ajzv003706un4i99q19z');
form.append('name', 'document.pdf');
form.append('folderId', 'cmf41ajzv003706un4i99q19z');
form.append('taskId', 'cmf41ajzv003706un4i99q19z');
const options = {
method: 'POST',
headers: {'x-client-id': '<x-client-id>', Authorization: 'Bearer <token>'}
};
options.body = form;
fetch('https://api.steuerboard.com/v1/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "cmf41ajzv003706un4i99q19z",
"documentDate": "2021-01-01T00:00:00Z",
"createdAt": "2021-01-01T00:00:00Z",
"updatedAt": "2021-01-01T00:00:00Z",
"name": "document.pdf",
"mimetype": "application/pdf",
"size": 1024,
"workspaceId": "cmf41ajzv003706un4i99q19z",
"createdById": "cmf41ajzv003706un4i99q19z",
"taskId": "cmf41ajzv003706un4i99q19z",
"folderId": "cmf41ajzv003706un4i99q19z",
"labelIds": [
"cmf41ajzv003706un4i99q19z"
]
}{
"type": "bad_request",
"message": "<string>"
}{
"status_code": 401,
"type": "auth_error",
"code": "unauthorized",
"message": "<string>"
}{
"type": "auth_error",
"message": "<string>"
}{
"type": "bad_request",
"message": "<string>"
}{
"success": false,
"error": {
"name": "ValidationError",
"issues": [
{
"code": "invalid_type",
"path": [
"workspaceId"
],
"message": "Required"
},
{
"code": "custom",
"path": [
"file"
],
"message": "Input not instance of File"
}
]
}
}{
"status_code": 429,
"type": "rate_limit",
"code": "too_many_requests",
"message": "<string>"
}This response has no body data.Upload a file
Uploads a new file. Maximum file size is 500MB.
Authorizations
Bearer token authentication
Headers
The ID of the client
"cmf41ajzv003706un4i99q19z"
Body
The file to upload
The ID of the workspace
"cmf41ajzv003706un4i99q19z"
The file to upload
The IDs of the labels to add to the file
["cmf41ajzv003706un4i99q19z"]
The name of the file
"document.pdf"
The ID of the folder to upload the file to
"cmf41ajzv003706un4i99q19z"
The ID of the task to upload this file to.
"cmf41ajzv003706un4i99q19z"
Response
File created successfully
The ID of the file
"cmf41ajzv003706un4i99q19z"
The date of the document (not the upload date)
"2021-01-01T00:00:00Z"
The date and time of the creation for the file. ISO-8601 format (YYYY-MM-DDTHH:MM:SSZ).
"2021-01-01T00:00:00Z"
The date and time of the last update for the file. ISO-8601 format (YYYY-MM-DDTHH:MM:SSZ).
"2021-01-01T00:00:00Z"
The name of the file
"document.pdf"
The mime type of the file
"application/pdf"
The size of the file in bytes
1024
The ID of the workspace
"cmf41ajzv003706un4i99q19z"
The ID of the creator
"cmf41ajzv003706un4i99q19z"
The ID of the task this file was uploaded to.
"cmf41ajzv003706un4i99q19z"
The ID of the folder this file was uploaded to.
"cmf41ajzv003706un4i99q19z"
The IDs of the assigned labels
["cmf41ajzv003706un4i99q19z"]